Skip to content

Retrieve information about the sandbox Vaults for the authenticated Vault.

GET/api/{version}/objects/sandbox
NameDescription
Acceptapplication/json (default) or application/xml
curl -X GET -H "Authorization: {SESSION_ID}" \ https://myvault.veevavault.com/api/v26.1/objects/sandbox
{ "responseStatus": "SUCCESS", "data": { "entitlements": [ { "size": "Small", "available": 3, "allowed": 4, "temporary": 0 }, { "size": "Large", "available": 2, "allowed": 2, "temporary": 0 }, { "size": "Full", "available": 0, "allowed": 1, "temporary": 0 } ], "active": [ { "pod": "DS0", "vault_id": 1001054, "name": "Testing Sandbox", "type": "config", "size": "Full", "status": "active", "domain": "veepharm.com", "dns": "myvault.veevavault.com", "source_vault_id": 1000660, "refresh_available": "2022-12-03T18:25:51.000Z", "created_date": "2022-12-02T18:25:51.000Z", "created_by": 1, "modified_date": "2023-11-01T01:44:40.000Z", "modified_by": 1, "entitlements": [], "release": "limited", "expiration_date": "NULL" }, { "pod": "DS0", "vault_id": 1001074, "name": "VeePharm Sandbox", "type": "config", "size": "Small", "status": "active", "domain": "veepharm.com", "dns": "veepharm-veepharm-sandbox.vaultdev.com", "source_vault_id": 1000660, "refresh_available": "2022-12-09T16:56:15.000Z", "created_date": "2022-12-09T16:56:15.000Z", "created_by": 1, "modified_date": "2023-11-01T01:44:45.000Z", "modified_by": 1, "entitlements": [], "release": "limited", "expiration_date": "NULL" } ] } }

The response contains information about the sandbox Vaults for the authenticated Vault.

NameDescription
podThe name of the POD the sandbox is on.
vault_idThe sandbox ID number.
nameThe name of the sandbox.
typeThe type of sandbox, such as configuration (config).
sizeThe size of the sandbox: Small, Medium, Large, Very Large, Extra Large, or Full. Learn more about sandbox sizes and their limits in Vault Help.
statusThe current status of the sandbox:
  • building: A new or recently refreshed sandbox
  • active: Sandbox is accessible
  • inactive: Sandbox is not accessible
  • deleting: Sandbox is being deleted
domainThe sandbox domain.
dnsThe sandbox domain name.
source_vault_idThe Vault ID of the sandbox's parent Vault.
refresh_availableThe date and time when this sandbox can be refreshed. You can refresh a sandbox once every 24 hours.
releaseThe type of release. This can be general, limited, or prerelease. Learn more about Vault releases in Vault Help.
entitlementsThe sandbox entitlements, including type, availability, and allowed information. The temporary entitlement shows only when a temporary entitlement is active.
expiration_dateThe expiration date of the sandbox Vault. May be NULL if the sandbox never expires. Learn more about sandbox expiration in Vault Help.